/*
 * Class EV_NOTEBOOK_TAB
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1123 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1123 [] = {0xFF01,1551,1122,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1123 [] = {0xFF01,1122,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1123 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1123 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1123 [] = {0xFF01,1122,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1123 [] = {0xFF01,1122,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1123 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1123 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1123 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1123 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1123 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1123 [] = {0xFF01,1122,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1123 [] = {0xFF01,1285,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1123 [] = {0xFF01,1141,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1123 [] = {0xFF01,924,0xFFFF};


static const struct desc_info desc_1123[] = {
	{EIF_GENERIC(NULL), 26571, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1123), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1123), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1123), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24205, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1123), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1123), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1123), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1123), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1123), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1123), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1123), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1123), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1123), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24213, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x08C5 /*1122*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1123), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 24214, 0},
	{EIF_GENERIC(NULL), 24215, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26575, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1123), 26568, 4},
	{EIF_GENERIC(NULL), 24203, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26570, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26569, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24204, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26567, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1123), 24207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 24208, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24210, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24211, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24701, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1123), 24702, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24703, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24704, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x083B /*1053*/), 24588, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x068F /*839*/), 24581, 8},
	{EIF_GENERIC(NULL), 24582, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24583, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24584, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24586, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24594, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26572, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07F9 /*1020*/), 26573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07E5 /*1010*/), 26574, 0xFFFFFFFF},
};
void Init1123(void)
{
	IDSC(desc_1123, 0, 1122);
	IDSC(desc_1123 + 1, 1, 1122);
	IDSC(desc_1123 + 32, 1593, 1122);
	IDSC(desc_1123 + 47, 642, 1122);
	IDSC(desc_1123 + 51, 233, 1122);
	IDSC(desc_1123 + 57, 1640, 1122);
	IDSC(desc_1123 + 60, 525, 1122);
}


#ifdef __cplusplus
}
#endif
